Package org.eclipse.rdf4j.repository.event.base

## Class RepositoryConnectionInterceptorAdapter

- java.lang.Object
- - org.eclipse.rdf4j.repository.event.base.RepositoryConnectionInterceptorAdapter

- All Implemented Interfaces:
    `RepositoryConnectionInterceptor`

      public class RepositoryConnectionInterceptorAdapter
      extends Object
      implements RepositoryConnectionInterceptor

  Author:
    Herko ter Horst

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RepositoryConnectionInterceptorAdapter()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `add​(RepositoryConnection conn, Resource subject, IRI predicate, Value object, Resource... contexts)` |
    `boolean` | `begin​(RepositoryConnection conn)` |
    `boolean` | `clear​(RepositoryConnection conn, Resource... contexts)` |
    `boolean` | `clearNamespaces​(RepositoryConnection conn)` |
    `boolean` | `close​(RepositoryConnection conn)` |
    `boolean` | `commit​(RepositoryConnection conn)` |
    `boolean` | `execute​(RepositoryConnection conn, QueryLanguage ql, String update, String baseURI, Update operation)` |
    `boolean` | `remove​(RepositoryConnection conn, Resource subject, IRI predicate, Value object, Resource... contexts)` |
    `boolean` | `removeNamespace​(RepositoryConnection conn, String prefix)` |
    `boolean` | `rollback​(RepositoryConnection conn)` |
    `boolean` | `setAutoCommit​(RepositoryConnection conn, boolean autoCommit)` | Deprecated.
    `boolean` | `setNamespace​(RepositoryConnection conn, String prefix, String name)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RepositoryConnectionInterceptorAdapter

          public RepositoryConnectionInterceptorAdapter()

  - ### Method Detail

    - #### add

          public boolean add​(RepositoryConnection conn,
                             Resource subject,
                             IRI predicate,
                             Value object,
                             Resource... contexts)

      Specified by:
        `add` in interface `RepositoryConnectionInterceptor`
      Parameters:
        `conn` - the RepositoryConnection to perform the `RepositoryConnection.add(Resource, IRI, Value, Resource...)` operation on.
      Returns:
        true if the interceptor has been denied access to the add operation, false otherwise.

    - #### begin

          public boolean begin​(RepositoryConnection conn)

      Specified by:
        `begin` in interface `RepositoryConnectionInterceptor`
      Parameters:
        `conn` - the RepositoryConnection to perform the `RepositoryConnection.begin()` or `RepositoryConnection.begin(org.eclipse.rdf4j.IsolationLevel)` operation on.
      Returns:
        true if the interceptor has been denied access to the begin operation, false otherwise.

    - #### clear

          public boolean clear​(RepositoryConnection conn,
                               Resource... contexts)

      Specified by:
        `clear` in interface `RepositoryConnectionInterceptor`
      Parameters:
        `conn` - the RepositoryConnection to perform the `RepositoryConnection.clear(Resource...)` operation on.
      Returns:
        true if the interceptor has been denied access to the clear operation, false otherwise.

    - #### clearNamespaces

          public boolean clearNamespaces​(RepositoryConnection conn)

      Specified by:
        `clearNamespaces` in interface `RepositoryConnectionInterceptor`
      Parameters:
        `conn` - the RepositoryConnection to perform the `RepositoryConnection.clearNamespaces()` operation on.
      Returns:
        true if the interceptor has been denied access to the clearNamespaces operation, false otherwise.

    - #### close

          public boolean close​(RepositoryConnection conn)

      Specified by:
        `close` in interface `RepositoryConnectionInterceptor`
      Parameters:
        `conn` - the RepositoryConnection to perform the `RepositoryConnection.close()` operation on.
      Returns:
        true if the interceptor has been denied access to the close operation, false otherwise.

    - #### commit

          public boolean commit​(RepositoryConnection conn)

      Specified by:
        `commit` in interface `RepositoryConnectionInterceptor`
      Parameters:
        `conn` - the RepositoryConnection to perform the `RepositoryConnection.commit()` operation on.
      Returns:
        true if the interceptor has been denied access to the commit operation, false otherwise.

    - #### remove

          public boolean remove​(RepositoryConnection conn,
                                Resource subject,
                                IRI predicate,
                                Value object,
                                Resource... contexts)

      Specified by:
        `remove` in interface `RepositoryConnectionInterceptor`
      Parameters:
        `conn` - the RepositoryConnection to perform the `RepositoryConnection.remove(Resource, IRI, Value, Resource...)` operation on.
      Returns:
        true if the interceptor has been denied access to the remove operation, false otherwise.

    - #### removeNamespace

          public boolean removeNamespace​(RepositoryConnection conn,
                                         String prefix)

      Specified by:
        `removeNamespace` in interface `RepositoryConnectionInterceptor`
      Parameters:
        `conn` - the RepositoryConnection to perform the `RepositoryConnection.removeNamespace(String)` operation on.
      Returns:
        true if the interceptor has been denied access to the removeNamespace operation, false otherwise.

    - #### rollback

          public boolean rollback​(RepositoryConnection conn)

      Specified by:
        `rollback` in interface `RepositoryConnectionInterceptor`
      Parameters:
        `conn` - the RepositoryConnection to perform the `RepositoryConnection.rollback()` operation on.
      Returns:
        true if the interceptor has been denied access to the rollback operation, false otherwise.

    - #### setAutoCommit

          @Deprecated
          public boolean setAutoCommit​(RepositoryConnection conn,
                                       boolean autoCommit)

      Deprecated.
      Specified by:
        `setAutoCommit` in interface `RepositoryConnectionInterceptor`
      Parameters:
        `conn` - the RepositoryConnection to perform the `RepositoryConnectionInterceptor.setAutoCommit(RepositoryConnection, boolean)`operation on.
      Returns:
        true if the interceptor has been denied access to the setAutoCommit operation, false otherwise.

    - #### setNamespace

          public boolean setNamespace​(RepositoryConnection conn,
                                      String prefix,
                                      String name)

      Specified by:
        `setNamespace` in interface `RepositoryConnectionInterceptor`
      Parameters:
        `conn` - the RepositoryConnection to perform the `RepositoryConnection.setNamespace(String, String)` operation on.
      Returns:
        true if the interceptor has been denied access to the setNamespace operation, false otherwise.

    - #### execute

          public boolean execute​(RepositoryConnection conn,
                                 QueryLanguage ql,
                                 String update,
                                 String baseURI,
                                 Update operation)

      Specified by:
        `execute` in interface `RepositoryConnectionInterceptor`
      Parameters:
        `conn` - the RepositoryConnection to perform the query execution operations on.
      Returns:
        true if the interceptor has been denied access to the query execution operations, false otherwise.